/***************************************************************************
  $RCSfile: aqmstring.cpp,v $
  -------------------
  cvs         : $Id: aqmstring.cpp,v 1.4 2004/03/03 22:12:27 rbla Exp $
  begin       : Wed Oct 15 2003
  copyright   : (C) 2004 Ronny Buchmann
  email       : ronny-hbci@vlugnet.org

 ***************************************************************************
 *    Please see the file COPYING in top source dir for licence details    *
 ***************************************************************************/


#include "aqmstring.h"
#include <string>
#include <stdio.h>
#include <stdarg.h>

const string AqmoneyString::format(const char *fmt, ...) {
  va_list ap;
  char *buf;
  size_t size;
  string str="";

  va_start(ap,fmt);
  size=vsnprintf(buf,0,fmt,ap);
  va_end(ap);
  if (size > 0) {
    size++;
    buf=new char[size];
    va_start(ap,fmt);
    vsnprintf(buf,size,fmt,ap);
    va_end(ap);
    str=buf;
    delete[] buf;
  }
  return str;
}

