/***************************************************************************
  $RCSfile: version.h,v $
  -------------------
  cvs         : $Id: version.h,v 1.4 2004/01/25 18:52:20 aquamaniac Exp $
  begin       : Wed Oct 15 2003
  copyright   : (C) 2003 by Martin Preuss
  email       : martin@libchipcard.de

 ***************************************************************************
 *    Please see the file COPYING in top source dir for licence details    *
 ***************************************************************************/

#ifndef AQMONEY_VERSION_H
#define AQMONEY_VERSION_H

#include "aqmmodule.h"
#include <list>
#include <string>

using namespace std;


/**
 *
 */
class ModuleVersion: public AqmoneyModule {
private:
  int _checkArgs(int argc, char **argv);
  void _usage();

public:
  ModuleVersion();
  virtual ~ModuleVersion();
  virtual string name() const { return "version";};
  virtual void dumpDescription(FILE *f);
  virtual ModuleError run(AqMoneyAPI *api,
                          int argc, char **argv,
                          const string &openhbciFile,
                          const string &aqmoneyFile);
  virtual void usage() { return _usage(); };

};



#endif


